package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ProductionOutputFollowUpPO;
import mhp.oee.po.gen.ProductionOutputFollowUpPOExample;

public interface ProductionOutputFollowUpPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int countByExample(ProductionOutputFollowUpPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int deleteByExample(ProductionOutputFollowUpPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int insert(ProductionOutputFollowUpPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int insertSelective(ProductionOutputFollowUpPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    List<ProductionOutputFollowUpPO> selectByExample(ProductionOutputFollowUpPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    ProductionOutputFollowUpPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ProductionOutputFollowUpPO record, @Param("example") ProductionOutputFollowUpPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ProductionOutputFollowUpPO record, @Param("example") ProductionOutputFollowUpPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ProductionOutputFollowUpPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table production_output_follow_up
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ProductionOutputFollowUpPO record);
}